Apple IIc: How to Determine If It Needs UniDisk ROM Upgrade

I have an Apple IIc, and I want to purchase a UniDisk 3.5 to use with it. My dealer said that some of the earlier Apple IIc computers need a ROM upgrade to support the UniDisk 3.5.

How can I determine if my Apple IIc needs the upgrade without bringing it to the dealer?
This article has been archived and is no longer updated by Apple.
Check your Apple IIc serial number. The Apple IIc systems that require the ROM upgrade for UniDisk 3.5 support are those with serial numbers lower than F6051GFA2S4000.

Another way to determine if your Apple IIc needs the ROM upgrade is to go into BASIC and type "PR#7" and press Return. If the Apple IIc responds with "AppleTalk Offline", you have the new ROM. If it tries to start up an external drive or returns "Check Disk Drive", you have the old ROM.

Your Apple service provider will perform the ROM upgrade free of charge.
Last Modified: Feb 19, 2012

Additional Product Support Information